29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
TLS certificates
v1.6.2
Download OpenAPI
List TLS certificates
List TLS certificates in the current account.
GET
/tls/certificate
TLSCertificates

Authentication

x-api-key

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/tls/certificate' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
TLS certificate list
application/jsontlsCertificateResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": [
    {
      "id": "7K9QW3M2ZT8HJ",
      "status": "pending",
      "common_name": "example",
      "product": "example",
      "provider": "digicert",
      "dns_names": [
        "example"
      ],
      "action_required": false,
      "pending_reason": "validation_pending",
      "pending_message": "The TLS certificate order is waiting for domain validation.",
      "completion_url": "",
      "organization_id": null,
      "certificate_pem_available": false
    }
  ]
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Diventa parte della comunità

L'API DNS Regfish è un'ottima soluzione per gli sviluppatori che desiderano automatizzare domini e zone DNS. Entra a far parte della community e beneficia dell'automazione DNS. L'API DNS è disponibile gratuitamente per ogni cliente Regfish.